-- Valid keys
	--  a - Z   0 - 9
	-- Backspace Tab Enter Escape Space Apostrophe Comma Minus Period Slash Semicolon Equal LBracket Backslash RBracket Grave 
	-- Up Down Left Right Control Shift Alt CapsLock NumLock ScrollLock Insert Delete Home End PageUp PageDown F1 F2 F3 F4 F5 F6 F7 F8 F9 F10 F11 F12 PrintScreen Pause 
	-- MouseLeft MouseRight MouseMiddle MouseTop MouseBottom 
	-- ScreenLeft ScreenRight ScreenTop ScreenBottom 
	-- Numpad0 Numpad1 Numpad2 Numpad3 Numpad4 Numpad5 Numpad6 Numpad7 Numpad8 Numpad9 NumpadMultiply NumpadPlus NumpadSeparator NumpadMinus NumpadPeriod NumpadSlash 


-- decrement the actual gamespeed (at min of 0[Pause]) Default [Numpad 8] (Gamespeed 8)

function GameSpeed_Slower()
if (getsimrate() > 10) then
	setsimrate(getsimrate() - 2)
	else
		if (getsimrate() > 5) then
			setsimrate(getsimrate() - 1)
		else
		
		if (getsimrate() > 0.25) then
			setsimrate(getsimrate() - 0.25)
		else
			setsimrate(0)
   end
  end
 end
print (getsimrate())
end

-- increment the actual gamespeed (at max of 40[5X]) Default [Numpad 8] (Gamespeed 8)

function GameSpeed_Faster()
if (getsimrate() < 5) then
	setsimrate(getsimrate() + 0.25)
		else
		if (getsimrate() < 10) then
		setsimrate(getsimrate() + 1)
			else
			if (getsimrate() < 40) then
			setsimrate(getsimrate() + 2)
				else
				setsimrate(40)
   end
  end
 end
print (getsimrate())
end

-- Half the actual gamespeed (at min of 0 [Pause]) Default [Numpad 8] (Gamespeed 8)

function GameSpeed_Half()
	if (getsimrate() > 0.125) then
	 setsimrate(getsimrate() / 2)
	 else setsimrate(0)
	end
print (getsimrate())
end

-- Double the actual gamespeed (at max of 40 [5X]) Default [Numpad 8] (Gamespeed 8)

function GameSpeed_Double()
	if (getsimrate() == 0) then
		setsimrate(0.125)
		else
			if (getsimrate() < 40) then
			setsimrate(getsimrate() * 2)
			if (getsimrate() > 40) then
			setsimrate(40)
			--else
			--setsimrate(40)
	  end
	 end
	end
print (getsimrate())
end

-- Toggle Taskbar, the Healthbars and Build-/Researchbars for good screenies :-)

Taskbar = 1

function Toggle_Taskbar_and_UI()

	if 	Taskbar == 1 then
		message_hide()
		taskbar_hide()
		ingame_select_ui_toggle()
		ingame_stats_toggle()
		Taskbar = 0
	else
		taskbar_show()
		ingame_select_ui_toggle()
		ingame_stats_toggle()
		Taskbar = 1
	end
end

-- Show Frames per Second

function toggle_FPS()
		
	if 	FPS == 0 then
		print("Show FPS")
		statgraph()
		statgraph_channel("fps")
		FPS = 1
	else
		print("Hide FPS")
		statgraph_channel("fps")
		statgraph()			
		FPS = 0
	end
end

-- Show the attackradius for Units

function toggle_unit_attackradii()
		
	if unitstats == 0 then
			print("Showing unit statistical data: Attack radius")
			sd_draw_attackradii = true
			unitstats = 1
	else
			print("Hiding unit statistical data: Attack radius")
			sd_draw_attackradii = false		
			unitstats = 0
	end
end

-- Cheats for testing only ;-))

function Cheat()
	cheat_power(500)
	cheat_requisition(500)
end


bind("Numpad0", "setsimrate(0.0)")
bind("Numpad1", "setsimrate(1)")
bind("Numpad2", "setsimrate(2)")
bind("Numpad3", "setsimrate(3)")
bind("Numpad4", "setsimrate(4)")
bind("Numpad5", "setsimrate(5)")
bind("Numpad6", "setsimrate(6)")
bind("Numpad7", "setsimrate(7)")
bind("Numpad8", "setsimrate(8)")
bind("Numpad9", "setsimrate(16)")
bind("NumpadMultiply", "GameSpeed_Double")
bind("NumpadSlash", "GameSpeed_Half")
bind("NumpadPlus", "GameSpeed_Faster")
bind("NumpadMinus", "GameSpeed_Slower")

bind("F8", "Toggle_Taskbar_and_UI")
bind("Control+F8", "fog_toggle")

bind("F9", "toggle_FPS")
bind("Control+F9", "toggle_unit_attackradii")

bind("End", "Cheat")